#include "{{ headerPath }}"
#include "{{ data }}/function.cpp"

// Thunks
template <typename T>
struct __Thunk;
template <typename Ret, typename... Args>
struct __Thunk<Ret(Args...)> {
    template <__Function<Ret(Args...)> *const *func>
    static Ret call(Args... args) {
        return (*func)->get_thunk_target()(std::forward<Args>(args)...);
    }
};

{{ main }}